##############################################################################
# Tur-Birthday.tcl 1.0 by Turranius                                          #
# Change the bind triggers  below to whatever you want the trigger the       #
# functions with.                                                            #
# If tur-birthday.sh is not located in /glftpd/bin/, then change the path    #
# to all 'set binary' below.                                                 #
#                                                                            #
# !bddel is locked to ops only by default ( bind pub o ).                    #
##############################################################################

bind pub - !bdadd pub:turbdadd
bind pub o !bddel pub:turbddel
bind pub - !bdinfo pub:turbdinfo

proc pub:turbdadd {nick uhost handle chan arg} {
 set binary {/glftpd/bin/tur-birthday.sh}
 set who [lindex $arg 0]
 set bddate [lindex $arg 1]
 foreach line [split [exec $binary add $who $bddate] "\n"] {
      putquick "PRIVMSG $chan :$line"
 }
}

proc pub:turbddel {nick uhost handle chan arg} {
 set binary {/glftpd/bin/tur-birthday.sh}
 set who [lindex $arg 0]
 foreach line [split [exec $binary del $who] "\n"] {
      putquick "PRIVMSG $chan :$line"
 }
}

proc pub:turbdinfo {nick uhost handle chan arg} {
 set binary {/glftpd/bin/tur-birthday.sh}
 set who [lindex $arg 0]
 foreach line [split [exec $binary info $who] "\n"] {
      putquick "PRIVMSG $chan :$line"
 }
}

putlog "Tur-Birthday.tcl 1.0 by Turranius loaded"
